import 'package:flutter_custom_toolbox/flutter_toolbox.dart';

class DefaultActivitySettings {
  // available game parameters codes
  static const String parameterCodeDashboardType = 'dashboardType';
  static const List<String> availableParameters = [
    parameterCodeDashboardType,
  ];

  // dashboard type: available values
  static const String dashboardTypeDefault = 'default';
  static const List<String> allowedDashboardTypeValues = [
    dashboardTypeDefault,
  ];
  // dashboard type: default value
  static const String defaultDashboardTypeValue = dashboardTypeDefault;

  // available values from parameter code
  static List<String> getAvailableValues(String parameterCode) {
    switch (parameterCode) {
      case parameterCodeDashboardType:
        return DefaultActivitySettings.allowedDashboardTypeValues;
    }

    printlog('Did not find any available value for game parameter "$parameterCode".');
    return [];
  }
}
