import 'package:flutter_custom_toolbox/flutter_toolbox.dart';

class DefaultGlobalSettings {
  // available global parameters codes
  static const String parameterCodeSkin = 'skin';
  static const List<String> availableParameters = [
    parameterCodeSkin,
  ];

  // skin: available values
  static const String skinValueDefault = 'default';
  static const List<String> allowedSkinValues = [
    skinValueDefault,
  ];
  // skin: default value
  static const String defaultSkinValue = skinValueDefault;

  // available values from parameter code
  static List<String> getAvailableValues(String parameterCode) {
    switch (parameterCode) {
      case parameterCodeSkin:
        return DefaultGlobalSettings.allowedSkinValues;
    }

    printlog('Did not find any available value for global parameter "$parameterCode".');
    return [];
  }

  @Deprecated("Should be removed / normalized")
  static const List<int> allowedDaysCountValues = [
    7,
    14,
    21,
    30,
    60,
    90,
  ];

  @Deprecated("Should be removed / normalized")
  static const List<int> allowedCountValues = [
    5,
    10,
    20,
  ];

  @Deprecated("Should be removed / normalized")
  static const int defaultDiscoveriesDaysCount = 14;
  @Deprecated("Should be removed / normalized")
  static const int defaultDistributionDaysCount = 21;
  @Deprecated("Should be removed / normalized")
  static const int defaultStatisticsRecentDaysCount = 21;
  @Deprecated("Should be removed / normalized")
  static const int defaultTimelineDaysCount = 14;
  @Deprecated("Should be removed / normalized")
  static const int defaultTopArtistsDaysCount = 14;
  @Deprecated("Should be removed / normalized")
  static const int defaultNewArtistsCount = 5;
  @Deprecated("Should be removed / normalized")
  static const int defaultNewTracksCount = 5;
}
